﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace RadTileViewSingleCollectionExample
{
    public class MyMainViewModel : ViewModelBase
    {
        private ObservableCollection<MyViewItem> firstTileViewCollection;
        private ObservableCollection<MyViewItem> secondTileViewCollection;

        public MyMainViewModel()
        {
            this.PopulateWithData();            
        }

        public ObservableCollection<MyViewItem> FirstTileViewCollection
        {
            get
            {
                return this.firstTileViewCollection;
            }
            private set
            {
                if (this.firstTileViewCollection != value)
                {
                    this.firstTileViewCollection = value;
                }                
            }
        }

        public ObservableCollection<MyViewItem> SecondTileViewCollection
        {
            get
            {
                return this.secondTileViewCollection;
            }
            private set
            {
                if (this.secondTileViewCollection != value)
                {
                    this.secondTileViewCollection = value;   
                }                
            }
        }
        
        private void PopulateWithData()
        {
            this.firstTileViewCollection = new ObservableCollection<MyViewItem>();
            for (int itemNumber = 1; itemNumber <= 9; itemNumber++)
            {
                this.FirstTileViewCollection.Add(new MyViewItem("Content Item: " + itemNumber, "Header " + itemNumber));
            }
           
            this.secondTileViewCollection = new ObservableCollection<MyViewItem>();
            for (int itemNumber = 1; itemNumber <= 20; itemNumber++)
            {
                this.SecondTileViewCollection.Add(new MyViewItem("Content Item: " + itemNumber, "Header " + itemNumber));
            }
        }
    }
}
